Bug 588621 - *** stack smashing detected ***: nvclock terminated
*** stack smashing detected ***: nvclock terminated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nvclock (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 02:13 EDT by Jasper O'neal Hartline
Modified: 2010-12-03 10:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:07:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper O'neal Hartline 2010-05-04 02:13:57 EDT
Description of problem:

Tried to get a temperature reading: nvclock -T

[root@quad ~]# nvclock -T
*** stack smashing detected ***: nvclock terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x4d)[0x3791ad]
/lib/libc.so.6(+0xf415a)[0x37915a]
nvclock[0x80580c3]
nvclock[0x8059fee]
nvclock[0x8059d6d]
nvclock[0x804d9be]
nvclock[0x804d1ce]
nvclock[0x8057120]
nvclock[0x804a1bd]
/lib/libc.so.6(__libc_start_main+0xe6)[0x29bbb6]
nvclock[0x80490a1]
======= Memory map: ========
00110000-00112000 r-xp 00000000 08:03 10212558   /usr/lib/libXau.so.6.0.0
00112000-00113000 rw-p 00001000 08:03 10212558   /usr/lib/libXau.so.6.0.0
0014d000-00281000 r-xp 00000000 08:03 10212640   /usr/lib/libX11.so.6.3.0
00281000-00285000 rw-p 00133000 08:03 10212640   /usr/lib/libX11.so.6.3.0
00285000-003f3000 r-xp 00000000 08:03 12108033   /lib/libc-2.11.1.so
003f3000-003f5000 r--p 0016e000 08:03 12108033   /lib/libc-2.11.1.so
003f5000-003f6000 rw-p 00170000 08:03 12108033   /lib/libc-2.11.1.so
003f6000-003f9000 rw-p 00000000 00:00 0 
00410000-00411000 r-xp 00000000 00:00 0          [vdso]
00456000-00466000 r-xp 00000000 08:03 10212791   /usr/lib/libXext.so.6.4.0
00466000-00467000 rw-p 00010000 08:03 10212791   /usr/lib/libXext.so.6.4.0
004e1000-004fe000 r-xp 00000000 08:03 10212602   /usr/lib/libxcb.so.1.1.0
004fe000-004ff000 rw-p 0001c000 08:03 10212602   /usr/lib/libxcb.so.1.1.0
00723000-00740000 r-xp 00000000 08:03 12107067   /lib/libgcc_s-4.4.3-20100127.so.1
00740000-00741000 rw-p 0001c000 08:03 12107067   /lib/libgcc_s-4.4.3-20100127.so.1
00b77000-00b95000 r-xp 00000000 08:03 12106991   /lib/ld-2.11.1.so
00b95000-00b96000 r--p 0001d000 08:03 12106991   /lib/ld-2.11.1.so
00b96000-00b97000 rw-p 0001e000 08:03 12106991   /lib/ld-2.11.1.so
00d6e000-00d71000 r-xp 00000000 08:03 12108038   /lib/libdl-2.11.1.so
00d71000-00d72000 r--p 00002000 08:03 12108038   /lib/libdl-2.11.1.so
00d72000-00d73000 rw-p 00003000 08:03 12108038   /lib/libdl-2.11.1.so
08048000-08065000 r-xp 00000000 08:03 10213960   /usr/bin/nvclock
08065000-08066000 rw-p 0001d000 08:03 10213960   /usr/bin/nvclock
09f64000-09f85000 rw-p 00000000 00:00 0          [heap]
b7701000-b7711000 rw-s be300000 00:05 12047      /dev/nvidia0
b7711000-b7811000 rw-s be700000 00:05 12047      /dev/nvidia0
b7811000-b7813000 rw-s be680000 00:05 12047      /dev/nvidia0
b7813000-b7823000 rw-s be610000 00:05 12047      /dev/nvidia0
b7823000-b7853000 rw-s be000000 00:05 12047      /dev/nvidia0
b7853000-b7855000 rw-p 00000000 00:00 0 
b785d000-b785f000 rw-s be601000 00:05 12047      /dev/nvidia0
b785f000-b7860000 rw-s be100000 00:05 12047      /dev/nvidia0
b7860000-b7861000 rw-s be101000 00:05 12047      /dev/nvidia0
b7861000-b7862000 rw-p 00000000 00:00 0 
bfd63000-bfd78000 rw-p 00000000 00:00 0          [stack]
Aborted
[root@quad ~]# rpm -q nvclock
nvclock-0.8-0.9.b4.fc12.i686
[root@quad ~]#

01:06.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5500] (rev a1)

Version-Release number of selected component (if applicable):
nvclock-0.8-0.9.b4.fc12.i686

How reproducible:


Steps to Reproduce:
1. nvclock -T
2.
3.
  
Actual results:


Expected results:


Additional info:
Using nvidia proprietary driver, no SELinux.
Comment 1 Bug Zapper 2010-11-03 11:42:12 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 10:07:09 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.